# Edit for loop at end to make empty nex files for various scenarios, ie,
# different numbers of species (nspp) and numbers of individuals per species (nindivs).


write.nex <- function(nindivs, nspp) {
cat("#NEXUS\n")
cat("[Data written by make-nex-empty-seqs.R]\n")
cat("BEGIN TAXA;\n")
cat("\tDIMENSIONS NTAX=", nindivs*nspp,";\n", sep="")
cat("\tTAXLABELS\n")
for (s in 1:nspp) {
  cat("\t\t")
  for (i in 1:nindivs) {
    cat(substr("abcdefghijklmnopqrstuvwxyz", s, s))
    cat(sprintf("%02d", i))
    cat("_A ")
  }
  cat("\n")
}

cat("\t;\n")
cat("END;\n")
cat("BEGIN CHARACTERS;\n")
cat("\tDIMENSIONS NCHAR=1;\n")
cat("\tFORMAT MISSING=? GAP=- DATATYPE=DNA INTERLEAVE=NO;\n")
cat("\tMATRIX\n")
for (s in 1:nspp) {
  for (i in 1:nindivs) {
    cat("\t\t")
    cat(substr("abcdefghijklmnopqrstuvwxyz", s, s))
    cat(sprintf("%02d", i))
    cat("_A ?\n")
  }
}
cat("\t;\n")
cat("END;\n")
}


fpath <- "C:/Users/GRJ/AAA/Programming/Biology/Simulations/DENIMtests"

nindivs <- 2
nspp <- 5

for (nindivs in c(4)) {
  for (nspp in c(4,10)) {
    for (g in 1:10) {
      sink(file = paste0(fpath, "/s", nspp, "i", nindivs, "locus", g, ".nex"))
      write.nex(nindivs, nspp)
      sink(NULL)
    }
    
  }
}







